Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceShapeFrustum

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceShape
              de.grogra.imp3d.gl20.GL20ResourceShapeFrustum

    public class GL20ResourceShapeFrustum

extends GL20ResourceShape

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`GL20ResourceShapeFrustum()`

Method Summary
`void` | `applyGeometry()` tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`
`void` | `destroy()` destroy this `GL20ResourceShapeFrustum`
`float` | `getBaseRadius()` get the base radius of this `GL20ResourceShapeFrustum`
`float` | `getHeight()` get the height of this `GL20ResourceShapeFrustum`
`float` | `getTopRadius()` get the top radius of this `GL20ResourceShapeFrustum`
`boolean` | `isBaseClosed()` get if the base is closed or not for this `GL20ResourceShapeFrustum`
`boolean` | `isTopClosed()` get if the top is closed or not for this `GL20ResourceShapeFrustum`
`boolean` | `isUpToDate()` check if this `GL20ResourceShapeFrustum` is up to date.
`void` | `setBaseClosed(boolean baseClosed)` set if the base is closed or not for this `GL20ResourceShapeFrustum`
`void` | `setBaseRadius(float baseRadius)` set the base radius of this `GL20ResourceShapeFrustum`
`void` | `setHeight(float height)` set the height of this `GL20ResourceShapeFrustum`
`void` | `setTopClosed(boolean topClosed)` set if the top is closed or not for this `GL20ResourceShapeFrustum`
`void` | `setTopRadius(float topRadius)` set the top radius of this `GL20ResourceShapeFrustum`
`void` | `update()` update the state of this `GL20ResourceShapeFrustum`

Methods inherited from class de.grogra.imp3d.gl20.GL20ResourceShape
`getShader, getShapeTransformationMatrix, getWorldTransformationMatrix, setShader, setShapeTransformationMatrix, setWorldTransformationMatrix`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceShapeFrustum

    public GL20ResourceShapeFrustum()

Method Detail

### applyGeometry

    public void applyGeometry()

  tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`

  Overrides:
    `applyGeometry` in class `GL20ResourceShape`

### destroy

    public void destroy()

  destroy this `GL20ResourceShapeFrustum`

  Overrides:
    `destroy` in class `GL20ResourceShape`
  See Also:
    `GL20Resource`

### getBaseRadius

    public final float getBaseRadius()

  get the base radius of this `GL20ResourceShapeFrustum`

  Returns:
    the base radius

### getHeight

    public final float getHeight()

  get the height of this `GL20ResourceShapeFrustum`

  Returns:
    the height

### getTopRadius

    public final float getTopRadius()

  get the top radius of this `GL20ResourceShapeFrustum`

  Returns:
    the top radius

### isBaseClosed

    public final boolean isBaseClosed()

  get if the base is closed or not for this `GL20ResourceShapeFrustum`

  Returns:
    `true` - the base is closed

### isTopClosed

    public final boolean isTopClosed()

  get if the top is closed or not for this `GL20ResourceShapeFrustum`

  Returns:
    `true` - the top is closed

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20ResourceShapeFrustum` is up to date.

  Overrides:
    `isUpToDate` in class `GL20ResourceShape`
  Returns:
    `true` - this `GL20ResourceShapeFrustum` is up to date
  See Also:
    `GL20Resource`

### setBaseClosed

    public final void setBaseClosed(boolean baseClosed)

  set if the base is closed or not for this `GL20ResourceShapeFrustum`

  Parameters:
    `baseClosed` - `true` - the base is closed

### setBaseRadius

    public final void setBaseRadius(float baseRadius)

  set the base radius of this `GL20ResourceShapeFrustum`

  Parameters:
    `baseRadius` - the base radius

### setHeight

    public final void setHeight(float height)

  set the height of this `GL20ResourceShapeFrustum`

  Parameters:
    `height` - the height

### setTopClosed

    public final void setTopClosed(boolean topClosed)

  set if the top is closed or not for this `GL20ResourceShapeFrustum`

  Parameters:
    `topClosed` - `true` - the top is closed

### setTopRadius

    public final void setTopRadius(float topRadius)

  set the top radius of this `GL20ResourceShapeFrustum`

  Parameters:
    `topRadius` - the top radius

### update

    public void update()

  update the state of this `GL20ResourceShapeFrustum`

  Overrides:
    `update` in class `GL20ResourceShape`
  See Also:
    `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD